



CREATE TABLE `devices` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `enable` tinyint(1) DEFAULT '0',
  `Nombre` char(50) DEFAULT NULL,
  `IP` char(30) DEFAULT '',
  `adm_acc` smallint(6) DEFAULT '0' COMMENT 'Administracion: 1: telnet, etc',
  `cli_acc` smallint(6) DEFAULT '0' COMMENT 'Acceso por consola: 1:telnet, 2:ssh, 3:web',
  `prioridad` int(11) DEFAULT '0',
  `getrunn` int(11) DEFAULT '0' COMMENT '1: get running-config',
  `roundtrip_time` int(11) DEFAULT '0' COMMENT 'Tiempor en mseg (ICMP)',
  `depende_de` int(11) DEFAULT '0',
  `status` smallint(6) DEFAULT '0',
  `tipo` char(50) DEFAULT '',
  `nserie` char(50) DEFAULT '',
  `hablado` char(140) DEFAULT '' COMMENT 'Nombre de los archivos para alarma hablada',
  `get_vlan` tinyint(4) DEFAULT '0',
  `city_id` int(4) DEFAULT '0' COMMENT 'id ciudad // cnc',
  `vendor_id` smallint(6) DEFAULT '0' COMMENT '1:Cisco, 2:Allied Telesis, 3:Ubiquiti, 4:Ceragon, 5:RAD',
  `model_id` smallint(6) DEFAULT '0',
  `device_type` varchar(10) DEFAULT 'NET' COMMENT 'NET(1): network device, INF(2): infrastructure device, TEL(3): telephony device, SRV(4): server device',
  `tel_ip` char(30) DEFAULT '0.0.0.0' COMMENT 'IP de monitoreo VoIP',
  `tel_port` char(10) DEFAULT '5060',
  `type` smallint(6) DEFAULT '0',
  `source_IP` char(30) DEFAULT '',
  `visibility` smallint(6) DEFAULT '0',
  `nodo` int(11) DEFAULT '0',
  `Descripcion` char(100) DEFAULT '',
  `ultimo_update` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `to_history` tinyint(4) DEFAULT '1',
  `medicion` int(11) DEFAULT '0' COMMENT 'Indicacion de pertenecia a servicios de CSD, Justicia, etc',
  `medicion_bw` int(11) DEFAULT '2' COMMENT 'Megabits seg contratados',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM AUTO_INCREMENT=2360 DEFAULT CHARSET=latin1


CREATE TABLE `devices_bw` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_trylogyc` int(11) DEFAULT '0',
  `enable` smallint(6) DEFAULT '0' COMMENT '1: enable',
  `dev_id` int(11) DEFAULT '0' COMMENT 'from devices table',
  `provider` smallint(6) DEFAULT '10' COMMENT '0: client, 1: provider, 2:redundant cli, 3: redundant prov, 4: link, 5: autodromo (Troncales), 6: autodromo (pto. a pto.), 7: autodromo (AP), 8: AP, 9: Servicios a CeSiDa',
  `lacnic_alias` char(50) DEFAULT '',
  `description` char(200) DEFAULT '' COMMENT 'ej: COOP Bernasconi',
  `if_name` char(100) DEFAULT '' COMMENT 'ej: g0/1',
  `pap` char(100) DEFAULT '' COMMENT 'ej: 192.168.1.1/30',
  `rango_ip` char(240) DEFAULT '' COMMENT 'ej:  190.105.177.0/23',
  `cir2` int(11) DEFAULT '0' COMMENT 'CIR (kbps)',
  `vlan` int(11) DEFAULT '0',
  `parent_router_id` int(11) DEFAULT '0' COMMENT '0: this device',
  `file_var_name` char(100) DEFAULT '',
  `alarm_lo` int(11) DEFAULT '0' COMMENT 'alarm threshold in kbps',
  `prio_lo` int(11) DEFAULT '5' COMMENT 'alarm priority',
  `delay_alrm` int(11) DEFAULT '200',
  `exc_01_ini_h` smallint(6) DEFAULT '-1',
  `exc_01_ini_m` smallint(6) DEFAULT '-1',
  `exc_01_fin_h` smallint(6) DEFAULT '-1',
  `exc_01_fin_m` smallint(6) DEFAULT '-1',
  `exc_02_ini_h` smallint(6) DEFAULT '-1',
  `exc_02_ini_m` smallint(6) DEFAULT '-1',
  `exc_02_fin_h` smallint(6) DEFAULT '-1',
  `exc_02_fin_m` smallint(6) DEFAULT '-1',
  `to_epics` tinyint(4) DEFAULT '-1',
  `ep_ibw_pv` char(100) DEFAULT '',
  `ep_ibw_a_pv` char(100) DEFAULT '',
  `ep_ibw_b_pv` char(100) DEFAULT '',
  `ep_ibw_c_pv` char(100) DEFAULT '',
  `ep_obw_pv` char(100) DEFAULT '',
  `ep_obw_a_pv` char(100) DEFAULT '',
  `ep_obw_b_pv` char(100) DEFAULT '',
  `ep_obw_c_pv` char(100) DEFAULT '',
  `lic_cnc` smallint(1) DEFAULT '0' COMMENT '1:tiene licencia cnc',
  `nom_cnc` char(200) DEFAULT '',
  `if_router_name` char(100) DEFAULT '',
  `cir_tec` int(11) DEFAULT '0',
  `cir_tec_update` timestamp NULL DEFAULT NULL,
  `policy_class` varchar(45) DEFAULT '',
  `cir2_update` timestamp NULL DEFAULT NULL,
  `cir2_usuario` varchar(45) DEFAULT '',
  `cir_sc` int(11) DEFAULT NULL,
  `cir_sc_update` timestamp NULL DEFAULT NULL,
  `cir_sc_usuario` varchar(45) DEFAULT '',
  `vrf` varchar(45) DEFAULT '' COMMENT 'vrf actual',
  `vrf_update` timestamp NULL DEFAULT NULL COMMENT 'update vrf',
  `Loopback` varchar(20) DEFAULT '' COMMENT 'Loopback de la vrf',
  `shut_vrf` varchar(45) DEFAULT '' COMMENT 'vrf que poseia el cliente antes del shut',
  `shut_loopback` varchar(45) DEFAULT '' COMMENT 'loopback que se hizo shut',
  `start_attemps` int(11) NOT NULL DEFAULT '0' COMMENT '0: OK, >0: multiples inicios, -1: equipo no existe en tabla topology.devices, -2: equipo caido',
  `no_traffic` int(11) NOT NULL DEFAULT '0',
  `ibw_max` int(11) DEFAULT '0' COMMENT 'Maximo entrada de los ultimos N dias',
  `obw_max` int(11) DEFAULT '0' COMMENT 'Maximo salida de los ultimos N dias',
  PRIMARY KEY (`id`),
  UNIQUE KEY `FileVarName` (`file_var_name`)
) ENGINE=MyISAM AUTO_INCREMENT=1118 DEFAULT CHARSET=latin1

CREATE TABLE `devices_bw_mem` (
  `devid` int(11) NOT NULL DEFAULT '0',
  `ifid` int(11) NOT NULL DEFAULT '0',
  `ifalias` char(100) DEFAULT '',
  `tdate` datetime DEFAULT NULL,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `ibytes` bigint(20) DEFAULT '0',
  `obytes` bigint(20) DEFAULT '0',
  `ibw` double DEFAULT '0',
  `obw` double DEFAULT '0',
  `ibw_a` double DEFAULT '0',
  `obw_a` double DEFAULT '0',
  `ibw_b` double DEFAULT '0',
  `obw_b` double DEFAULT '0',
  `ibw_c` double DEFAULT '0',
  `obw_c` double DEFAULT '0',
  `ierrors` bigint(20) DEFAULT '0',
  `oerrors` bigint(20) DEFAULT '0',
  PRIMARY KEY (`devid`,`ifid`)
) ENGINE=MEMORY DEFAULT CHARSET=latin1

